Index: libcfa/src/concurrency/invoke.h
===================================================================
--- libcfa/src/concurrency/invoke.h	(revision 2073d207541a54d2e9d67c8e8d7f5b82cbe4002a)
+++ libcfa/src/concurrency/invoke.h	(revision 37ba6628ac22d4f11d3fb42a2c573168ac19bd03)
@@ -182,25 +182,25 @@
 		//SKULLDUGGERY errno is not save in the thread data structure because returnToKernel appears to be the only function to require saving and restoring it
 
-		// coroutine body used to store context
-		struct $coroutine  self_cor;
-
-		// current active context
-		struct $coroutine * curr_cor;
-
-		// monitor body used for mutual exclusion
-		struct $monitor    self_mon;
-
-		// pointer to monitor with sufficient lifetime for current monitors
-		struct $monitor *  self_mon_p;
-
 		// pointer to the cluster on which the thread is running
 		struct cluster * curr_cluster;
-
-		// monitors currently held by this thread
-		struct __monitor_group_t monitors;
 
 		// Link lists fields
 		// instrusive link field for threads
 		struct __thread_desc_link link;
+
+		// coroutine body used to store context
+		struct $coroutine  self_cor;
+
+		// current active context
+		struct $coroutine * curr_cor;
+
+		// monitor body used for mutual exclusion
+		struct $monitor    self_mon;
+
+		// pointer to monitor with sufficient lifetime for current monitors
+		struct $monitor *  self_mon_p;
+
+		// monitors currently held by this thread
+		struct __monitor_group_t monitors;
 
 		struct {
Index: libcfa/src/concurrency/kernel.hfa
===================================================================
--- libcfa/src/concurrency/kernel.hfa	(revision 2073d207541a54d2e9d67c8e8d7f5b82cbe4002a)
+++ libcfa/src/concurrency/kernel.hfa	(revision 37ba6628ac22d4f11d3fb42a2c573168ac19bd03)
@@ -61,13 +61,16 @@
 
 // Wrapper around kernel threads
-struct processor {
+struct __attribute__((aligned(128))) processor {
+	// Main state
 	inline __processor_id_t;
 
-	// Main state
+	// Cluster from which to get threads
+	struct cluster * cltr;
+
+	// Set to true to notify the processor should terminate
+	volatile bool do_terminate;
+
 	// Coroutine ctx who does keeps the state of the processor
 	struct processorCtx_t runner;
-
-	// Cluster from which to get threads
-	struct cluster * cltr;
 
 	// Name of the processor
@@ -90,8 +93,4 @@
 	// Idle lock (kernel semaphore)
 	__bin_sem_t idle;
-
-	// Termination
-	// Set to true to notify the processor should terminate
-	volatile bool do_terminate;
 
 	// Termination synchronisation (user semaphore)
@@ -153,5 +152,5 @@
 //TODO adjust cache size to ARCHITECTURE
 // Structure holding the relaxed ready queue
-struct __attribute__((aligned(128))) __ready_queue_t {
+struct __ready_queue_t {
 	// Data tracking how many/which lanes are used
 	// Aligned to 128 for cache locality
@@ -162,5 +161,5 @@
 	// used can change on each push/pop but this data
 	// only changes on shrink/grow
-	struct __attribute__((aligned(64))) {
+	struct {
 		// Arary of lanes
 		__intrusive_lane_t * volatile data;
@@ -176,5 +175,5 @@
 //-----------------------------------------------------------------------------
 // Cluster
-struct cluster {
+struct __attribute__((aligned(128))) cluster {
 	// Ready queue for threads
 	__ready_queue_t ready_queue;
Index: libcfa/src/concurrency/kernel_private.hfa
===================================================================
--- libcfa/src/concurrency/kernel_private.hfa	(revision 2073d207541a54d2e9d67c8e8d7f5b82cbe4002a)
+++ libcfa/src/concurrency/kernel_private.hfa	(revision 37ba6628ac22d4f11d3fb42a2c573168ac19bd03)
@@ -26,5 +26,5 @@
 // Scheduler
 
-struct __attribute__((aligned(64))) __scheduler_lock_id_t;
+struct __attribute__((aligned(128))) __scheduler_lock_id_t;
 
 extern "C" {
@@ -111,5 +111,5 @@
 // Cells use by the reader writer lock
 // while not generic it only relies on a opaque pointer
-struct __attribute__((aligned(64))) __scheduler_lock_id_t {
+struct __attribute__((aligned(128))) __scheduler_lock_id_t {
 	__processor_id_t * volatile handle;
 	volatile bool lock;
Index: libcfa/src/concurrency/ready_queue.cfa
===================================================================
--- libcfa/src/concurrency/ready_queue.cfa	(revision 2073d207541a54d2e9d67c8e8d7f5b82cbe4002a)
+++ libcfa/src/concurrency/ready_queue.cfa	(revision 37ba6628ac22d4f11d3fb42a2c573168ac19bd03)
@@ -120,5 +120,5 @@
 	// Return new spot.
 	/*paranoid*/ verify(n < ready);
-	/*paranoid*/ verify(__alignof__(data[n]) == cache_line_size);
+	/*paranoid*/ verify(__alignof__(data[n]) == (2 * cache_line_size));
 	/*paranoid*/ verify((((uintptr_t)&data[n]) % cache_line_size) == 0);
 	return n;
Index: libcfa/src/concurrency/stats.hfa
===================================================================
--- libcfa/src/concurrency/stats.hfa	(revision 2073d207541a54d2e9d67c8e8d7f5b82cbe4002a)
+++ libcfa/src/concurrency/stats.hfa	(revision 37ba6628ac22d4f11d3fb42a2c573168ac19bd03)
@@ -66,5 +66,5 @@
 	#endif
 
-	struct __stats_t {
+	struct __attribute__((aligned(128))) __stats_t {
 		__stats_readQ_t ready;
 		#if defined(HAVE_LINUX_IO_URING_H)
